CVE-2004-0834
CVSS7.2
发布时间 :2004-12-23 00:00:00
修订时间 :2008-09-05 16:39:33
NMCOS    

[原文]Format string vulnerability in Speedtouch USB driver before 1.3.1 allows local users to execute arbitrary code via (1) modem_run, (2) pppoa2, or (3) pppoa3.


[CNNVD]Speedtouch USB驱动程序 本地格式串漏洞(CNNVD-200412-088)

        Speedtouch USB驱动程序1.3.1以前的版本存在格式串漏洞。本地用户借助(1)modem_run, (2)pppoa2,或者(3)pppoa3执行任意代码。
        

- CVSS (基础分值)

CVSS分值: 7.2 [严重(HIGH)]
机密性影响: COMPLETE [完全的信息泄露导致所有系统文件暴露]
完整性影响: COMPLETE [系统完整性可被完全破坏]
可用性影响: COMPLETE [可能导致系统完全宕机]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: LOCAL [漏洞利用需要具有物理访问权限或本地帐户]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/o:mandrakesoft:mandrake_linux:10.0::amd64
cpe:/o:mandrakesoft:mandrake_linux:10.1MandrakeSoft Mandrake Linux 10.1
cpe:/a:mandrakesoft:mandrake_multi_network_firewall:8.2MandrakeSoft Mandrake Multi Network Firewall 8.2
cpe:/a:speedtouch:speedtouch_usb_driver:1.2_beta1
cpe:/o:mandrakesoft:mandrake_linux:9.1::ppc
cpe:/o:mandrakesoft:mandrake_linux:10.1::x86_64
cpe:/o:mandrakesoft:mandrake_linux_corporate_server:2.1::x86_64
cpe:/o:mandrakesoft:mandrake_linux:8.2::ppc
cpe:/o:mandrakesoft:mandrake_linux:8.2MandrakeSoft Mandrake Linux 8.2
cpe:/o:mandrakesoft:mandrake_linux_corporate_server:2.1MandrakeSoft Mandrake Linux Corporate Server 2.1
cpe:/o:mandrakesoft:mandrake_linux:9.2::amd64
cpe:/o:mandrakesoft:mandrake_linux:9.2MandrakeSoft Mandrake Linux 9.2
cpe:/o:mandrakesoft:mandrake_linux:9.0MandrakeSoft Mandrake Linux 9.0
cpe:/a:speedtouch:speedtouch_usb_driver:1.1
cpe:/a:speedtouch:speedtouch_usb_driver:1.2
cpe:/a:speedtouch:speedtouch_usb_driver:1.2_beta3
cpe:/o:mandrakesoft:mandrake_linux:10.0MandrakeSoft Mandrake Linux 10.0
cpe:/o:gentoo:linux:1.4Gentoo Linux 1.4
cpe:/a:speedtouch:speedtouch_usb_driver:1.2_beta2
cpe:/a:speedtouch:speedtouch_usb_driver:1.0
cpe:/a:speedtouch:speedtouch_usb_driver:1.3
cpe:/o:mandrakesoft:mandrake_linux:9.1MandrakeSoft Mandrake Linux 9.1

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2004-0834
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2004-0834
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200412-088
(官方数据源) CNNVD

- 其它链接及资源

http://xforce.iss.net/xforce/xfdb/17792
(VENDOR_ADVISORY)  XF  speedtouch-format-string(17792)
http://www.mail-archive.com/speedtouch@ml.free.fr/msg06688.html
(UNKNOWN)  MISC  http://www.mail-archive.com/speedtouch@ml.free.fr/msg06688.html
http://speedtouch.sourceforge.net/index.php?/news.en.html
(VENDOR_ADVISORY)  CONFIRM  http://speedtouch.sourceforge.net/index.php?/news.en.html
http://sourceforge.net/project/showfiles.php?group_id=32758&package_id=28264&release_id=271734
(UNKNOWN)  CONFIRM  http://sourceforge.net/project/showfiles.php?group_id=32758&package_id=28264&release_id=271734

- 漏洞信息

Speedtouch USB驱动程序 本地格式串漏洞
高危 格式化字符串
2004-12-23 00:00:00 2005-10-20 00:00:00
本地  
        Speedtouch USB驱动程序1.3.1以前的版本存在格式串漏洞。本地用户借助(1)modem_run, (2)pppoa2,或者(3)pppoa3执行任意代码。
        

- 公告与补丁

        Gentoo Linux has released advisory GLSA 200411-04 along with fixes dealing with this issue. Gentoo has advised that all Speedtouch USB driver users should upgrade to the latest version:
        # emerge --sync
         # emerge --ask --oneshot --verbose ">=net-dialup/speedtouch-1.3.1"
        For more information please see the referenced advisory.
        MandrakeSoft has issued fixes for Mandrake Linux. See advisory MDKSA-2004:130 in the reference section.
        Speedtouch USB Driver 1.3.1 is available to address this issue:
        Speedtouch USB Driver Speedtouch USB Driver 1.0
        
        Speedtouch USB Driver Speedtouch USB Driver 1.1
        
        Speedtouch USB Driver Speedtouch USB Driver 1.2
        
        Speedtouch USB Driver Speedtouch USB Driver 1.2 beta2
        
        Speedtouch USB Driver Speedtouch USB Driver 1.2 beta1
        
        Speedtouch USB Driver Speedtouch USB Driver 1.2 beta3
        
        Speedtouch USB Driver Speedtouch USB Driver 1.3
        

- 漏洞信息

11004
Thomson SpeedTouch USB Driver Multiple Function Format String
Local Access Required, Local / Remote, Context Dependent Input Manipulation
Loss of Integrity
Exploit Unknown

- 漏洞描述

SpeedTouch USB modem drivers contain a flaw that may allow a malicious user to perform format string attacks. The issue is due to improper usage of syslog() by the modem_run, ppoa2, and ppoa3 functions. It is possible that the flaw may allow execution of arbitrary code, illegal address reads, or disclosure of sections of memory resulting in a loss of integrity, confidentiality and/or availability.

- 时间线

2004-09-30 Unknow
Unknow Unknow

- 解决方案

Upgrade to version 1.3.1 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

- 漏洞信息

Speedtouch USB Driver Local Format String Vulnerability
Input Validation Error 11496
No Yes
2004-10-21 12:00:00 2009-07-12 08:06:00
Discovery is credited to Max Vozeler.

- 受影响的程序版本

Speedtouch USB Driver Speedtouch USB Driver 1.3
Speedtouch USB Driver Speedtouch USB Driver 1.2 beta3
Speedtouch USB Driver Speedtouch USB Driver 1.2 beta2
Speedtouch USB Driver Speedtouch USB Driver 1.2 beta1
Speedtouch USB Driver Speedtouch USB Driver 1.2
Speedtouch USB Driver Speedtouch USB Driver 1.1
Speedtouch USB Driver Speedtouch USB Driver 1.0
Mandriva Linux Mandrake 10.1 x86_64
Mandriva Linux Mandrake 10.1
Mandriva Linux Mandrake 10.0 AMD64
Mandriva Linux Mandrake 10.0
Mandriva Linux Mandrake 9.2 amd64
Mandriva Linux Mandrake 9.2
Mandriva Linux Mandrake 9.1 ppc
Mandriva Linux Mandrake 9.1
Mandriva Linux Mandrake 9.0
Mandriva Linux Mandrake 8.2 ppc
Mandriva Linux Mandrake 8.2
MandrakeSoft Multi Network Firewall 2.0
MandrakeSoft Corporate Server 2.1 x86_64
MandrakeSoft Corporate Server 2.1
Gentoo Linux 1.4
Gentoo Linux
Speedtouch USB Driver Speedtouch USB Driver 1.3.1

- 不受影响的程序版本

Speedtouch USB Driver Speedtouch USB Driver 1.3.1

- 漏洞讨论

Speedtouch USB Driver is prone to a locally exploitable format string vulnerability. The problem occurs due to insufficient sanitization of user-supplied data.

This vulnerability may be exploited in order to have arbitrary code executed with superuser privileges.

- 漏洞利用

Currently we are not aware of any exploits for this issue. If you feel we are in error or are aware of more recent information, please mail us at: vuldb@securityfocus.com <mailto:vuldb@securityfocus.com>.

- 解决方案

Gentoo Linux has released advisory GLSA 200411-04 along with fixes dealing with this issue. Gentoo has advised that all Speedtouch USB driver users should upgrade to the latest version:

# emerge --sync
# emerge --ask --oneshot --verbose ">=net-dialup/speedtouch-1.3.1"

For more information please see the referenced advisory.

MandrakeSoft has issued fixes for Mandrake Linux. See advisory MDKSA-2004:130 in the reference section.

Speedtouch USB Driver 1.3.1 is available to address this issue:


Speedtouch USB Driver Speedtouch USB Driver 1.0

Speedtouch USB Driver Speedtouch USB Driver 1.1

Speedtouch USB Driver Speedtouch USB Driver 1.2

Speedtouch USB Driver Speedtouch USB Driver 1.2 beta2

Speedtouch USB Driver Speedtouch USB Driver 1.2 beta1

Speedtouch USB Driver Speedtouch USB Driver 1.2 beta3

Speedtouch USB Driver Speedtouch USB Driver 1.3

- 相关参考

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站